import 'package:syncrow_web/utils/constants/const.dart';

class PasswordModel {
  final dynamic passwordId;
  final dynamic invalidTime;
  final dynamic effectiveTime;
  final dynamic passwordCreated;
  final dynamic createdTime;
  final dynamic passwodName; // New field
  final dynamic passwordStatus;
  final AccessType passwordType;
  final dynamic deviceUuid;

  PasswordModel({
    this.passwordId,
    this.invalidTime,
    this.effectiveTime,
    this.passwordCreated,
    this.createdTime,
    this.passwodName, // New field
    this.passwordStatus,
    required this.passwordType,
    this.deviceUuid,
  });

  factory PasswordModel.fromJson(Map<String, dynamic> json) {
    return PasswordModel(
      passwordId: json['passwordId'],
      invalidTime: json['invalidTime'],
      effectiveTime: json['effectiveTime'],
      passwordCreated: json['passwordCreated'],
      createdTime: json['createdTime'],
      passwodName: json['passwodName']??'No name', // New field
      passwordStatus: json['passwordStatus'],
      passwordType:AccessTypeExtension.fromString(json['passwordType']) ,
      deviceUuid: json['deviceUuid'],
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'passwordId': passwordId,
      'invalidTime': invalidTime,
      'effectiveTime': effectiveTime,
      'passwordCreated': passwordCreated,
      'createdTime': createdTime,
      'passwodName': passwodName, // New field
      'passwordStatus': passwordStatus,
      'passwordType': passwordType,
      'deviceUuid': deviceUuid,
    };
  }
  List<PasswordModel> parsePasswordList(List<dynamic> jsonList) {
    return jsonList.map((json) => PasswordModel.fromJson(json)).toList();
  }
}
